<?php

declare(strict_types = 1);

namespace Drupal\entity_workflow;

use Drupal\workflows\State;
use Drupal\workflows\StateInterface;
use Drupal\workflows\WorkflowTypeInterface;

/**
 * A value object representing a workflow state for Entity Workflow.
 */
class EntityWorkflowState extends State implements StateInterface {

  /**
   * {@inheritdoc}
   */
  public function __construct(WorkflowTypeInterface $workflow, $id, array $configuration) {
    parent::__construct($workflow, $id, $configuration['label'], $configuration['weight'] ?? 0);
  }

}
