<?php

namespace Drupal\entity_workflow\Event;

/**
 * Defines events for the Entity Workflow module.
 */
final class EntityWorkflowEvents {

  /**
   * Name of the event fired before a transition is attempted.
   *
   * @Event
   *
   * @see \Drupal\entity_workflow\Event\InitiateTransitionEvent
   */
  const INITIATE_TRANSITION = 'entity_workflow.initiate_transition';

}
